Summary:       X11 environment recorder
Name:          xnee
Version:       3.10
Release:       1%{?dist}
License:       GPLv3+
Group:         Applications/Multimedia
URL:           http://www.gnu.org/software/xnee/
Source0:       ftp://ftp.gnu.org/gnu/xnee/xnee-%{version}.tar.gz
Source1:       xnee.desktop
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:      xnee-libs = %{version}-%{release}
BuildRequires: libXtst-devel
BuildRequires: gtk2-devel
BuildRequires: desktop-file-utils
BuildRequires: chrpath


%description
A suite of programs that can record, replay and distribute
user actions under the X11 environment. Think of it as a
robot that can imitate the job you just did.


%package libs
Summary:       The shared libraries required for Xnee clients
Group:         Development/Libraries
#Requires:      

%description libs
The xnee-lib package provides the essential shared libraries for any 
Xnee client program or interface.

%package devel
Summary:       Files needed for building applications with libxnee
Group:         Development/Libraries
Requires:      xnee-libs = %{version}-%{release}

%description devel
The xnee-devel package includes header files and libraries
necessary for developing programs which use the xnee-lib library.

%package -n cnee
Summary:       Command-line interface of Xnee
Group:         Applications/Multimedia
Requires:      xnee-libs = %{version}-%{release}

%description -n cnee
Command-line interface of a suite of programs that can record,
replay and distribute user actions under the X11 environment. Think
of it as a robot that can imitate the job you just did.


%prep
%setup -q


%build
%configure --disable-gnome-applet      \
           --enable-lib                \
           --enable-static-programs=no 
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
rm -f %{buildroot}%{_libdir}/libtestcb.*
rm -f %{buildroot}%{_datadir}/xnee/simple_bash.sh
rm -f %{buildroot}%{_libdir}/libxnee.a
rm -f %{buildroot}%{_libdir}/libxnee.la
desktop-file-install                       \
--dir=%{buildroot}%{_datadir}/applications \
%{SOURCE1}
mkdir -p %{buildroot}%{_includedir}/libxnee/
install -p libxnee/include/libxnee/*.h %{buildroot}%{_includedir}/libxnee/
chrpath --delete %{buildroot}%{_bindir}/gnee
chrpath --delete %{buildroot}%{_bindir}/cnee
# for rpmlint warnings :
chmod a-x %{buildroot}%{_includedir}/libxnee/*.h
chmod a-x libxnee/include/libxnee/feedback.h   \
          libxnee/src/feedback.c               \
          libxnee/src/xnee_setget.c            \
          libxnee/src/xnee_range.c             \
          libxnee/include/libxnee/xnee.h       \
          cnee/include/parse.h                 \
          libxnee/include/libxnee/xnee_range.h


%clean
rm -rf %{buildroot}

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS BUGS COPYING EXAMPLES FAQ NEWS README* TODO
%{_bindir}/gnee
%{_datadir}/pixmaps/xnee.png
%{_datadir}/pixmaps/xnee.xpm
%{_datadir}/applications/xnee.desktop
%{_datadir}/xnee/
%{_mandir}/man1/gnee.1*
%{_mandir}/man1/xnee.1*

%files libs
%defattr(-,root,root,-)
%doc AUTHORS README NEWS INSTALL
%{_libdir}/libxnee.so.*

%files devel
%doc AUTHORS README NEWS INSTALL
%defattr(-,root,root,-)
%{_libdir}/libxnee.so
%{_includedir}/libxnee/*.h

%files -n cnee
%defattr(-,root,root,-)
%doc AUTHORS BUGS COPYING EXAMPLES FAQ NEWS README* TODO
%{_bindir}/cnee
%{_mandir}/man1/cnee.1*


%changelog
* Tue Aug 23 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 3.10-1
- update to 3.10 version

* Sat Aug 6 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 3.09-1
- clean up spec file

* Fri Aug 5 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 3.09-1
- add header in libxnee-devel

* Wed Aug 3 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 3.09-1
- add cnee subpackage

* Sun Jul 31 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 3.09-1
- add libxnee and libxnee-devel subpackages

* Thu Jul 28 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 3.09-1
- minor specfile cleanup

* Wed Jul 27 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 3.09-1
- clean up spec file

* Thu Jun 23 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 3.09-1
- initial RPM
